Bug 53016 - Password expiry notification problem.
Password expiry notification problem.
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: gdm (Show other bugs)
roswell
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-01 16:42 EDT by Chris Kloiber
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-21 21:18:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Kloiber 2001-09-01 16:42:49 EDT
Description of Problem:

I set my password to expire in less than a week, it was set to warn me with
7 days to go. Unfortuantely when logging in using gdm, the warning message
 is present on the screen for only a fraction of a second before the entire
login box is removed from the screen. 

Version-Release number of selected component (if applicable):

gdm-2.2.3.1-18
Comment 1 Havoc Pennington 2001-09-01 20:51:28 EDT
Hmm, this will be tricky to fix without causing a delay for the normal case.

PAM is a bit too free-form for a GUI login screen...
Comment 2 Chris Kloiber 2001-09-02 12:33:57 EDT
I tried this with kdm and it works by opening a new window and requiring the
user to click an 'OK' button. Is that doable? 

I also tried xdm for completness sake, but either it's really badly broken or I
didn't set it up right. I couldn't log in at all with xdm if the password was
about to expire. If I can confirm that I'll open another bug# for xdm.
Comment 3 Havoc Pennington 2001-09-02 13:20:44 EDT
I'll have to look at what kdm does. I'm not sure kdm uses PAM however, or if it
does it may use it in a way that keeps some PAM modules from working.

It's certainly a bug if xdm won't let you log in, I would say.
Comment 4 George Lebl 2001-11-21 21:18:43 EST
This is fixed in the newest gdm release 2.2.5.1
Comment 5 Havoc Pennington 2002-02-11 18:58:10 EST
Newer gdm now in rawhide

Note You need to log in before you can comment on or make changes to this bug.